function [ dz_mu_fcst ] = splice_jhs_mu(dz_mu_jhs,dz_mu,iT,nsplice )
%   Detailed explanation goes here
dz_mu_jhs(1:iT-1) = dz_mu(1:iT-1);
dd = (dz_mu_jhs(iT)-dz_mu_jhs(iT-nsplice))/nsplice;
dd = dd*(1:1:nsplice-1)';
dz_mu_jhs(iT+1-nsplice:iT-1)=dz_mu_jhs(iT-nsplice)+dd;
dz_mu_fcst = dz_mu_jhs;

end

